//
//  Controller.h
//  UTModLauncher
//
//  Created by David McGavern.
//  Copyright (c) 2004 David McGavern, Loopware. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface Controller : NSObject
{
    IBOutlet NSProgressIndicator *busyIndicator;
    IBOutlet id launchButton;
    IBOutlet id statusField;
    IBOutlet id tableView;
    IBOutlet NSWindow *window;
    
    NSMutableArray *mods;
    
    BOOL searching, locked;
}
- (IBAction)toggleDVDCheck:(id)sender;
- (void)searchForModsInBasePath:(NSString *)path;

- (IBAction)launch:(id)sender;
- (void)setUnrealLocation;

- (IBAction)openUrl:(id)sender;

- (void)utClosed;

@end
